## 1.4.3 (2013-09-28)

* fixed bug with generation of unity source file when `COTIRE_MINIMUM_NUMBER_OF_TARGET_SOURCES` is
  set to 0.

## 1.4.2 (2013-08-24)

* CMake 2.8.11 compatibility fixes.
* always force the inclusion of a user provided prefix header, even if the target
  contains too few sources to enable the use of a precompiled header.

## 1.4.1 (2013-06-08)

* fixed bug with determination of compiler version.
* fixed bug with generation of unity source when target source files are used for multiple targets.
* fixed bug with multi-core optimized prefix header generation.

## 1.4.0 (2013-03-11)

* one year anniversary release.
* add support for multi-core optimized unity builds for some CMake generators.
* add support for multi-core optimized prefix header generation.
* add more examples to cotire manual.

## 1.3.6 (2013-03-06)

* fix bug with prefix header initialization for generator Xcode.
* print cotire version upon inclusion.

## 1.3.5 (2013-03-01)

* fix typos in function names and property descriptions.

## 1.3.4 (2013-02-07)

* fixed bug with computing to output directory of the generated unity target (thanks shaunew).
* fixed wrong variable reference in debugging output (thanks shaunew).

## 1.3.3 (2013-02-03)

* fixed bug with handling of policy CMP0018 relating to target property `POSITION_INDEPENDENT_CODE`.
* fixed warnings relating to uninitialized variables.
* Intel XE 2013 Update 2 compatibility fixes.

## 1.3.2 (2013-02-02)

* fixed missing curly brace (thanks shaunew).

## 1.3.1 (2013-01-29)

* fix bug with filtering of compile options.

## 1.3.0 (2013-01-09)

* add support for Intel C and C++ compilers.
* CMake 2.8.10 compatibility fixes.
* properly clean up generated cotire log files upon invoking `clean` target.
* documentation updates.

## 1.2.0 (2012-11-01)

* add support for manually maintained prefix header and unity source files.
* the target property `COTIRE_<LANG>_PREFIX_HEADER_INIT` can be set to a user provided prefix
  header file to be used instead of the automatically generated one (e.g., `stdafx.h`).
* the new target property `COTIRE_<LANG>_UNITY_SOURCE_INIT` can be set to a user provided unity
  source file to be used instead of the automatically generated one.
* the target property `COTIRE_UNITY_TARGET_NAME` is no longer read-only. It can be set to the
  desired name of the unity target that will be added by cotire.
* add parameters `SOURCE_DIR` and `BINARY_DIR` to function `cotire` to allow for explicitly
  specifying a target's source and binary directory, if target to be cotired has been added in a
  different directory.

## 1.1.8 (2012-10-27)

* when using MSVC, apply option `/bigobj` to compilation of generated unity files.

## 1.1.7 (2012-10-26)

* cope with double slash characters in scanned include paths.

## 1.1.6 (2012-09-22)

* check result code upon scanning includes.
* always add a `clean_cotire` target to easily clean up cotire generated files.
* add section on `extern "C"` linkage issues to manual.

## 1.1.5 (2012-08-17)

* new cache variable `COTIRE_UNITY_SOURCE_EXCLUDE_EXTENSIONS` can be set to globally exclude
  sources with the listed file extensions from the generated unity source.
* fix check for multi-architecture builds under OS X.

## 1.1.4 (2012-08-15)

* prevent redundant re-generation of the unity source, prefix header and precompiled header files
  (this makes cotire more applicable to C++ projects that use Qt).

## 1.1.3 (2012-08-12)

* fix out of range index operation upon building list of target include directories.
* honor target properties `POSITION_INDEPENDENT_CODE` and `NO_SONAME` introduced with CMake 2.8.9.
* make selection of target source files for requested target language more careful.
* prevent modification of the CMake policy stack upon CMake version check.

## 1.1.2 (2012-05-06)

* make handling of include directories more robust against invalid paths.

## 1.1.1 (2012-04-20)

* fixed bug with generation of unity targets for `WIN32_EXECUTABLE` targets.
* fixed bug with parsing of localized MSVC `/showIncludes` output.

## 1.1.0 (2012-04-19)

* tested with CMake 2.8.8.
* added example to manual that shows how to apply cotire to CMake object library targets.
* fixed multiple bugs with handling of CMake single build type and multiple configuration builds.
* added more robust parsing of localized MSVC `/showIncludes` output.

## 1.0.9 (2012-04-09)

* add support for compiler wrappers like ccache.
* under OS X, apply `CMAKE_OSX_SYSROOT` to prefix header include and ignore paths.

## 1.0.8 (2012-04-05)

* require CMake 2.8.6 since we are using `set_property` option `APPEND_STRING`.

## 1.0.7 (2012-04-02)

* add support for Ninja generator introduced in CMake 2.8.8.
* fix bug with initialization of variable `COTIRE_VERBOSE`.

## 1.0.6 (2012-04-01)

* correctly handle builds where both `CMAKE_BUILD_TYPE` and `CMAKE_CONFIGURATION_TYPES` are set.

## 1.0.5 (2012-03-26)

* fix Visual Studio C++ 2010 compilation of example project.
* enhance heuristic for #include_next directive detection.
* fix llvm-3.0.src.patch for GCC 4.6 compilation.

## 1.0.4 (2012-03-24)

* honor target property INCLUDE_DIRECTORIES introduced in CMake 2.8.8.

## 1.0.3 (2012-03-23)

* handle OBJECT_LIBRARY targets introduced in CMake 2.8.8.
* use predefined compiler version variable, if available.

## 1.0.2 (2012-03-16)

* fix Xcode 4.3 compatibility.
* Cotire manual corrections.

## 1.0.1 (2012-03-15)

* Cotire manual corrections.
* Add prefix header to the generated unity build target.

## 1.0.0 (2012-03-11)

* First release.
